aggregateFun {DEDS} | R Documentation

## Aggregate Statistical Functions for DEDS

### Description

This function takes statistic functions and creates a function that takes a matrix as a single argument. The statisic functions are bound in the environment of the returned function and are applied sequentially to the argument of the returned function.

### Usage

    aggregateFun(...)

### Arguments

`...` | Functions of various statistics, could be in a list.

### Details

The function takes several statistics functions or a list of these functions and returns a function (F) with bindings to the input statistics functions. F takes a data matrix as its single argument, and apply the bound statistical functions sequentially to the data matrix.

### Value

It returns a function that takes a matrix as its single argument. The function returns a matrix of statistics, with m rows correspondign to variables (hypotheses) and n columns corresponding to specified statistics.

### Author(s)

Yuanyuan Xiao, yxiao@itsa.ucsf.edu,
Jean Yee Hwa Yang, jean@biostat.ucsf.edu.

### See Also

`comp.t`, `comp.FC`, `comp.F`, `comp.SAM`, `comp.modt`, `comp.modF`, `comp.B`

### Examples

    X <- matrix(rnorm(100, 0, 1), nc=10)
    L <- rep(0:1,c(5,5))
    t.fun <- comp.t(L)
    fc.fun <- comp.FC(L)
    sam.fun <- comp.SAM(L)
    ffun <- aggregateFun(list(t.fun, fc.fun, sam.fun))
    stats <- ffun(X)

[Package DEDS version 1.6.0 Index]